Like I said I zoom in and get it right then do zoom 0.9xp which shrinks it a bit, make them in model space. I did some pretty drastic deletes on some of my dwgs to get the slide right, removing things like dims to make the object clearer.
For your image I would remove the hatching.
To steal all blocks, you can use:
(defun c:StealAllBlocks nil
(Steal nil '(("Blocks" ("*"))))
)
Or, for a predetermined target drawing:
(defun c:StealAllBlocksFrom nil
(Steal "C:\\YourDrawingFile.dwg" '(("Blocks" ("*"))))
)
1st question slides I use zoom e then zoom 0.85X this makes them all the same size on screen.
2nd look into the steal code there is an explanation about using it from a lisp. something like steal blocks listblocks dwgname